clear;

T = 15*3600;   %  
N = 1000;      %   

Td = T / N;                   %  
drv = 3;       %   
SatO = 1;       
SatT = 9:16;
for i=1:size(SatO, 2)
  SO = SatO(i);
  for j=1:size(SatT, 2)
    ST = SatT(j);
    for ord=0:drv
      sFileName = sprintf('sat_%02d_%02d_%02d.txt', SO, ST, ord);
      fid = fopen(sFileName, 'w'); fclose(fid);
    end
  end
end

t = Td * (0:N+ord-1);
for i=1:size(SatO, 2)
  SO = SatO(i);
  for j=1:size(SatT, 2)
    ST = SatT(j);
    R = sat(t, SO, ST);
    for ord=0:drv
      sFileName = sprintf('sat_%02d_%02d_%02d.txt', SO, ST, ord);

      fid = fopen(sFileName, 'a');
      fprintf(fid, '%g  %g\n', [t(1:N); R(1:N)]);
      fclose(fid);
      R = diff(R)/Td;
    end
  end
end
